MSGEXEC(1)

BEZEICHNUNG
msgexec - Übersetzungen eines Meldungskatalogs verarbeiten

ÜBERSICHT
msgexec [OPTION] BEFEHL [BEFEHLSOPTION]

BESCHREIBUNG

Wendet einen Befehl auf alle Übersetzungen eines Meldungskatalogs an. Der BEFEHL kann jedes Programm sein, das eine Übersetzung aus der Standardeingabe liest. Es wird einmalig für jede Übersetzung aufgerufen. Dessen Ausgabe wird zur Ausgabe von msgexec. Der Rückgabecode von msgexec ist der maximale Rückgabecode über alle Aufrufe hinweg.

Ein spezieller eingebauter Befehl namens »0« gibt die Übersetzung gefolgt von einem Nullbyte aus. Der Aufruf von msgexec 0 eignet sich als Eingabe für xargs -0.

  Befehlseingabe:

--newline
    fügt einen Zeilenvorschub am Ende der Eingabe hinzu.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Orte der Eingabedateien:

-i, --input=EINGABEDATEI
    PO-Eingabedatei

-D, --directory=VERZEICHNIS
    fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn keine Eingabedatei oder »-« angegeben ist, wird die Standardeingabe gelesen.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedatei folgt der .properties-Syntax von Java.

--stringtable-input
    Eingabedatei folgt der .strings-Syntax von NeXTstep/GNUstep.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 2001-2024 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgexec wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgexec auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgexec

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).